WordPress प्रतिक्रिया दुष्ट प्लगिन अपडेट के लिए

WordPress.org ने स्वचालित अपडेट पर उपयोगकर्ता के निर्णयों का सम्मान करने के लिए प्लगइन डेवलपर्स के लिए एक बयान जारी किया। अनुस्मारक ऑल इन वन एसईओ प्लगइन के प्रकाशकों के बाद आता है बिना अनुमति के स्वचालित अपडेट चालू।

बयान में चेतावनी दी गई कि जो लोग उपयोगकर्ताओं का उल्लंघन करते हैं, वे स्वचालित अपडेट के संबंध में इच्छा व्यक्त करते हैं, WordPress.org द्वारा ध्वजांकित किया जाएगा।

वर्डप्रेस स्वचालित अपडेट

वर्डप्रेस कंटेंट मैनेजमेंट सिस्टम (CMS) में स्वचालित अपडेट एक सुविधा है जो एक उपयोगकर्ता को स्वचालित रूप से अपडेट करने के लिए प्लगइन की अनुमति देने के लिए चयन करने का अधिकार देता है।

वर्डप्रेस संस्करण 5.5 की रिलीज के साथ सुविधा को आसानी से सुलभ बनाया गया था।

इस सुविधा ने प्रकाशकों को स्वचालित अपडेट प्राप्त नहीं करने के लिए चयन करने की अनुमति दी

प्लगइन्स के लिए स्वचालित अपडेट कई वर्षों से एक छिपी हुई विशेषता है। पहले से स्वचालित अपडेट सक्षम करने वाले प्रकाशकों को अपनी कॉन्फ़िगरेशन फ़ाइलों में कोड बदलना पड़ता था।

विज्ञापन

नीचे पढ़ना जारी रखें

ऑटो अपडेट क्या करता है जिससे प्रकाशकों को अपने प्लगइन्स का नवीनतम संस्करण प्राप्त करना आसान हो जाता है। यह महत्वपूर्ण हो सकता है क्योंकि कुछ अपडेट में भेद्यता सुधार होते हैं। कुछ प्लगइन्स को अपडेट करने में विफलता का परिणाम एक दुर्भावनापूर्ण हैकर द्वारा ली गई साइट हो सकती है।

ऑटो अपडेट के नकारात्मक पक्ष यह है कि जब कोई अपडेट खराब होता है और अन्य प्लगइन्स या थीम के साथ अनपेक्षित टकराव का कारण बनता है।

यही कारण है कि कई प्रकाशक अपने प्लगइन्स को नियंत्रित तरीके से अपडेट करना पसंद करते हैं ताकि वे किसी भी समस्या से तुरंत अवगत हो सकें।

सभी एक एसईओ ऑटो अपडेट में

नवंबर 2020 के अंत में, ऑल इन वन एसईओ प्लगइन के प्रकाशक संस्करण 4 में अपडेट हुए और कुछ बिंदु पर एकतरफा रूप से उपयोगकर्ता की अनुमति के बिना अपने प्लगइन के लिए स्वचालित अपडेट चालू कर दिए।

विज्ञापन

नीचे पढ़ना जारी रखें

यह उन प्रकाशकों के लिए भी हुआ, जिन्होंने जोर देकर कहा था कि वे स्वत: अद्यतन चालू नहीं हुए थे।

अधिक जानकारी यहाँ, वर्डप्रेस ऑल इन वन एसईओ ऑटो अपडेट कॉज़ बैकलैश

वर्डप्रेस ने ऑटो अपडेट पर चेतावनी जारी की

जबकि ऑल इन वन एसईओ स्वचालित अपडेट चालू करने के लिए एकमात्र प्लगइन नहीं हो सकता है, यह निश्चित रूप से सबसे लोकप्रिय प्लगइन निर्माता हो सकता है क्योंकि वर्डप्रेस 5.5 पेश किया गया था।

वर्डप्रेस ने एक औपचारिक बयान जारी किया जिसमें प्लगइन सॉफ्टवेयर डेवलपमेंट समुदाय को याद दिलाया गया कि उन्हें उपयोगकर्ताओं से अनुमति के बिना ऑटो अपडेट चालू नहीं करना चाहिए।

WordPress के अनुसार:

“आप ऑटो-अपडेट के लिए एक सुविधा प्रदान कर सकते हैं, लेकिन इसके लिए मुख्य सेटिंग्स का सम्मान करना होगा। इसका मतलब यह है कि अगर किसी ने अपनी साइट को “मेरे किसी भी प्लगइन्स या थीम को कभी भी अपडेट नहीं किया है” तो आप उनके लिए इसे बदलने के लिए नहीं हैं जब तक कि वे ऑप्ट-इन नहीं करते और अनुरोध नहीं करते।

इसका कारण यह है कि प्लग-इन को अपने अधिकार तक नहीं पहुंचना चाहिए। ”

घोषणा में यह भी कहा गया है कि स्वचालित अपडेट से प्रकाशक वेबसाइटों पर अप्रत्याशित परिणाम हो सकते हैं और यह विश्वास को प्रभावित कर सकता है कि प्रकाशक प्लगइन डेवलपर्स के साथ हैं और वर्डप्रेस खुद के साथ।

क्या हाल ही में ऑल इन वन एसईओ प्लगइन मुद्दे पर एक इशारा प्रतीत होता है, वर्डप्रेस स्टेटमेंट ने इसे दुखद कहा।

“अफसोस की बात है, यह हाल ही में एक अच्छी तरह से इस्तेमाल किया प्लगइन के लिए हुआ है, और नतीजा बहुत बुरा रहा है।”

इस कथन पर ध्यान दिया गया कि इस मुद्दे के बारे में औपचारिक दिशानिर्देश बनाने की कोई योजना नहीं है, लेकिन वर्डप्रेस “फ्लैग” प्लगइन्स को जारी रखेगा जो कि उपयोगकर्ता के विश्वास का उल्लंघन करता है और प्लगइन्स के लिए स्वत: अपडेट के संबंध में इच्छा रखता है।

प्रशस्ति पत्र

अनुस्मारक: प्लगइन्स अपडेट के साथ हस्तक्षेप नहीं करना चाहिए

Related Posts

Leave a Reply

Your email address will not be published. Required fields are marked *